Package edu.wisc.game.sql

## Class ImageObject

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​String>
    - - edu.wisc.game.sql.ImageObject

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​String>`

      public class ImageObject
      extends HashMap<String,​String>

  Describes an image-and-properties-based object
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `File` | `file` |
    `String` | `key` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `clearTable()` |
    `String` | `listProperties()` |
    `static ImageObject` | `obtainImageObjectPlain​(File f)` |
    `static ImageObject` | `obtainImageObjectPlain​(File f, boolean allowMissing)` |
    `static ImageObject` | `obtainImageObjectPlain​(File dir, String plainPath, boolean allowMissing)` | Retrieves the ImageObject for a specified path from the master table.
    `static Vector<ImageObject>` | `obtainImageObjects​(String wildCardPath)` |
    `String` | `symbol()` | For use in ASCII graphics

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Field Detail

    - #### key

          public final String key

    - #### file

          public final File file

  - ### Method Detail

    - #### clearTable

          public static void clearTable()

    - #### obtainImageObjectPlain

          public static ImageObject obtainImageObjectPlain​(File dir,
                                                           String plainPath,
                                                           boolean allowMissing)

      Retrieves the ImageObject for a specified path from the master table. If necessary, tries to add that object (and all other objects listed in the properties file in that directory) to the master table.
      Parameters:
        `dir` - If provided, plainPath is understood as being relative to it.

    - #### obtainImageObjectPlain

          public static ImageObject obtainImageObjectPlain​(File f)

    - #### obtainImageObjectPlain

          public static ImageObject obtainImageObjectPlain​(File f,
                                                           boolean allowMissing)

      Parameters:
        `allowMissing` - If true, simply return null, rather than throw exception, when the file is not listed in the prop file

    - #### obtainImageObjects

          public static Vector<ImageObject> obtainImageObjects​(String wildCardPath)

    - #### listProperties

          public String listProperties()

    - #### symbol

          public String symbol()

      For use in ASCII graphics